%define snapshot 0

%ifarch %{arm}
%define build_docs 0
%else
%define build_docs 1
%endif

%define qtmajor_p 1

%define qtmajor 5
%define qtminor 9
%define qtsubminor 4

%define rel 1
%define pre rc

%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%if %snapshot
%define qttarballdir qtmultimedia-opensource-src-%{qtversion}-%pre
%else
%define qttarballdir qtmultimedia-opensource-src-%{qtversion}
%endif

%define libqt5multimedia %mklibname qt5multimedia %qtmajor
%define libqt5multimedia_d %mklibname qt5multimedia -d

%define libqt5multimediawidgets %mklibname qt5multimediawidgets %qtmajor
%define libqt5multimediawidgets_d %mklibname qt5multimediawidgets -d

%define libqgsttools_p %mklibname qgsttools_p %qtmajor_p
%define libqgsttools_p_d %mklibname qgsttools_p -d

%define libqtmultimediaquick_p %mklibname qt5multimediaquick_p %qtmajor
%define libqtmultimediaquick_p_d %mklibname qt5multimediaquick_p -d

Name: qtmultimedia5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt Multimedia component
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel = %version
BuildRequires: pkgconfig(alsa)
BuildRequires: pulseaudio-devel
BuildRequires: pkgconfig(openal)

BuildRequires: pkgconfig(gstreamer-1.0)
BuildRequires: pkgconfig(gstreamer-app-1.0)
BuildRequires: pkgconfig(gstreamer-audio-1.0)
BuildRequires: pkgconfig(gstreamer-base-1.0)
BuildRequires: pkgconfig(gstreamer-pbutils-1.0)
BuildRequires: pkgconfig(gstreamer-video-1.0)
BuildRequires: pkgconfig(gstreamer-bad-audio-1.0)

BuildRequires: pkgconfig(libpulse) 
BuildRequires: pkgconfig(libpulse-mainloop-glib)
BuildRequires: pkgconfig(alsa)

BuildRequires: pkgconfig(Qt5Qml) = %version
BuildRequires: pkgconfig(Qt5Quick) = %version
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt5 Multimedia component.

%files
%_qt5_plugindir/audio/*.so
%_qt5_plugindir/mediaservice/*.so
%_qt5_plugindir/playlistformats/libqtmultimedia_m3u.so
%_qt5_qml/QtAudioEngine
%_qt5_qml/QtMultimedia

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtMultimedia%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtMultimedia5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtmultimedia.qch
%{_qt5_docdir}/qtmultimedia/
%endif

#------------------------------------------------------------------------------

%package -n %{libqt5multimedia}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5multimedia}
Qt%{qtmajor} Lib.

%files -n %{libqt5multimedia}
%{_qt5_libdir}/libQt5Multimedia.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5multimedia_d}
Summary: Devel files needed to build apps based on QtMultimedia
Group:    Development/KDE and Qt
Requires: %{libqt5multimedia} = %version
Requires: %name = %version
Provides: libqtmultimedia5-devel = %version
Provides: libqt5multimedia-devel = %version
Provides: qtmultimedia5-devel = %version
Provides: qt5multimedia-devel = %version

Provides: libqtmultimedia5-private-devel = %version
Provides: libqt5multimedia-private-devel = %version
Provides: qtmultimedia5-private-devel = %version
Provides: qt5multimedia-private-devel = %version

%description -n %{libqt5multimedia_d}
Devel files needed to build apps based on QtMultimedia.

%files -n %{libqt5multimedia_d}
%{_qt5_libdir}/cmake/Qt5Multimedia
%{_qt5_includedir}/QtMultimedia
%{_qt5_libdir}/libQt5Multimedia.so
%{_qt5_libdir}/libQt5Multimedia.prl
%{_qt5_libdir}/pkgconfig/Qt5Multimedia.pc
%{_qt5_examplesdir}/multimedia
%{_qt5_prefix}/mkspecs/modules/qt_lib_multimedia.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_multimedia_private.pri

#------------------------------------------------------------------------------

%package -n %{libqt5multimediawidgets}
Summary: Qt%{qtmajor} Lib
Requires: %name = %version
Group: System/Libraries

%description -n %{libqt5multimediawidgets}
Qt%{qtmajor} Lib.

%files -n %{libqt5multimediawidgets}
%{_qt5_libdir}/libQt5MultimediaWidgets.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5multimediawidgets_d}
Summary: Devel files needed to build apps based on QtMultimediaWidget
Group:    Development/KDE and Qt
Requires: %{libqt5multimediawidgets} = %version
Provides: libqtmultimediawidgets5-devel = %version
Provides: libqt5multimediawidgets-devel = %version
Provides: qtmultimediawidgets5-devel = %version
Provides: qt5multimediawidgets-devel = %version

Provides: libqtmultimediawidgets5-private-devel = %version
Provides: libqt5multimediawidgets-private-devel = %version
Provides: qtmultimediawidgets5-private-devel = %version
Provides: qt5multimediawidgets-private-devel = %version

%description -n %{libqt5multimediawidgets_d}
Devel files needed to build apps based on QtMultimediaWidget.

%files -n %{libqt5multimediawidgets_d}
%{_qt5_libdir}/cmake/Qt5MultimediaWidgets
%{_qt5_includedir}/QtMultimediaWidgets
%{_qt5_libdir}/libQt5MultimediaWidgets.so
%{_qt5_libdir}/libQt5MultimediaWidgets.prl
%{_qt5_libdir}/pkgconfig/Qt5MultimediaWidgets.pc
%{_qt5_examplesdir}/multimediawidgets
%{_qt5_datadir}/mkspecs/modules/qt_lib_multimediawidgets.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_multimediawidgets_private.pri

#------------------------------------------------------------------------------

%package -n %{libqgsttools_p}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries
Obsoletes: %{_lib}qgsttools_p5 < %{qtversion}-4

%description -n %{libqgsttools_p}
Qt%{qtmajor} Lib.

%files -n %{libqgsttools_p}
%{_qt5_libdir}/libqgsttools_p.so.%{qtmajor_p}*

#------------------------------------------------------------------------------

%package -n %{libqgsttools_p_d}
Summary: Devel files needed to build apps based on QtGsttools
Group:    Development/KDE and Qt
Requires: %{libqgsttools_p} = %version
Provides: libqgsttools5-devel = %version
Provides: libqgsttools-devel = %version
Provides: qgsttools5-devel = %version
Provides: qgsttools-devel = %version

%description -n %{libqgsttools_p_d}
Devel files needed to build apps based on QtGsttools.

%files -n %{libqgsttools_p_d}
%{_qt5_libdir}/libqgsttools_p.prl
%{_qt5_libdir}/libqgsttools_p.so

#------------------------------------------------------------------------------

%package -n %{libqtmultimediaquick_p}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries
Requires: %name = %version
Obsoletes: %{_lib}qtmultimediaquick_p5 < %{qtversion}-4

%description -n %{libqtmultimediaquick_p}
Qt%{qtmajor} Lib.

%files -n %{libqtmultimediaquick_p}
%{_qt5_libdir}/libQt5MultimediaQuick_p.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtmultimediaquick_p_d}
Summary: Devel files needed to build apps based on QtMultimediaQuick
Group:    Development/KDE and Qt
Requires: %{libqtmultimediaquick_p} = %version
Provides: libqtmultimediaquick_p5-devel = %version
Provides: libqt5multimediaquick_p-devel = %version
Provides: qt5multimediaquick_p-devel = %version
Provides: qtqtmultimediaquick_p5-devel = %version
Obsoletes: %{_lib}qtmultimediaquick_p-devel < %{qtversion}-4

%description -n %{libqtmultimediaquick_p_d}
Devel files needed to build apps based on QtMultimediaQuick.

%files -n %{libqtmultimediaquick_p_d}
%{_qt5_libdir}/libQt5MultimediaQuick_p.prl
%{_qt5_libdir}/libQt5MultimediaQuick_p.so
%{_qt5_includedir}/QtMultimediaQuick_p
%{_qt5_datadir}/mkspecs/modules/qt_lib_qtmultimediaquicktools_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n qtmultimedia-opensource-src-%{qtversion}

%build
%qmake_qt5 GST_VERSION=1.0

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete

## .prl/.la file love
# nuke .prl reference(s) to %%buildroot, excessive (.la-like) libs
pushd %{buildroot}%{_qt5_libdir}
for prl_file in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd


%changelog
* Wed Feb 28 2018 neoclust <neoclust> 5.9.4-1.mga6
  (not released yet)
+ Revision: 1205709
- New version 5.9.4
- New version 5.9.3
- New version 5.6.3

* Wed Mar 01 2017 ghibo <ghibo> 5.6.2-2.mga6
+ Revision: 1088332
- Rebuilt against pulseaudio 10

* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 1064861
- New version 5.6.2

* Sun Oct 16 2016 wally <wally> 5.6.1-4.mga6
+ Revision: 1061133
- fix lib and devel pkg names

* Fri Sep 02 2016 daviddavid <daviddavid> 5.6.1-3.mga6
+ Revision: 1049784
- build missing docs part (mga#9812)
- add qtmultimedia5-doc subpackage

* Sun Jul 03 2016 neoclust <neoclust> 5.6.1-2.mga6
+ Revision: 1038376
- Update to version 5.6.1-1
- New version

* Sat Apr 23 2016 daviddavid <daviddavid> 5.6.0-4.mga6
+ Revision: 1005447
- explicitly set the gstreamer support version who should be used (fixes mga#18229)

* Sat Apr 23 2016 neoclust <neoclust> 5.6.0-3.mga6
+ Revision: 1005399
- Enhance gst buildrequires

* Sat Apr 23 2016 neoclust <neoclust> 5.6.0-2.mga6
+ Revision: 1005396
- Explicit file list

* Thu Mar 17 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 992493
- Fix release tag

* Wed Mar 09 2016 neoclust <neoclust> 5.6.0-0.rc.2.mga6
+ Revision: 987981
- Rebuild Qt5 Stack to fix plasma crashes

* Sun Feb 28 2016 neoclust <neoclust> 5.6.0-0.rc.1.mga6
+ Revision: 980612
- New version 5.6.0 rc

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.4.mga6
+ Revision: 915946
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.3.mga6
+ Revision: 915810
- Rebuild against new cmake to have cmake() provides

* Sun Dec 20 2015 neoclust <neoclust> 5.6.0-0.beta.2.mga6
+ Revision: 912734
- Remove private devel packages

* Sat Dec 19 2015 neoclust <neoclust> 5.6.0-0.beta.1.mga6
+ Revision: 912299
- New version 5.6.0 Beta

* Tue Nov 10 2015 neoclust <neoclust> 5.5.1-3.mga6
+ Revision: 900848
- Rebuild against fixed qtbase5
- Use GStreamer 1.0

* Fri Oct 23 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 894499
- New version

* Sat Jul 25 2015 neoclust <neoclust> 5.5.0-2.mga6
+ Revision: 857079
- Fix Requires

* Sun Jul 12 2015 filipesaraiva <filipesaraiva> 5.5.0-1.mga6
+ Revision: 853382
- Update to Qt 5.5.0 version;
- Fix URL to new address qt.io;

* Tue Jun 23 2015 neoclust <neoclust> 5.5.0-0.rc.1.mga6
+ Revision: 840313
- New version 5.5 rc

* Fri Dec 12 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 802853
- New version 5.4.0

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 801809
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 745029
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 umeabot <umeabot> 5.3.1-2.mga5
+ Revision: 738093
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639783
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624083
- 5.3.0 final

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621471
- 5.3.0rc

* Sun Apr 06 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 612317
- 5.3.0beta

* Mon Mar 03 2014 neoclust <neoclust> 5.3.0-0.alpha.1.mga5
+ Revision: 598936
- New version

* Thu Feb 06 2014 fwang <fwang> 5.2.1-1.mga5
+ Revision: 584239
- 5.2.1

* Sat Dec 14 2013 fwang <fwang> 5.2.0-2.mga4
+ Revision: 556712
- 5.2.0 final

* Sun Dec 01 2013 fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554450
- update file list
- 5.2.0 rc1

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.1.mga4
+ Revision: 547099
- 5.2.0 beta1
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 5.2.0-1.alpha.1.mga4
+ Revision: 491151
- 5.2.0 alpha1

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.2.mga4
+ Revision: 428821
- Rebuild against new qt5 libs location

* Sun May 26 2013 neoclust <neoclust> 5.2.0-0.0.20130523.1.mga4
+ Revision: 428123
- New QT 5.2 Snapshot

* Wed Apr 17 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410282
- New version 5.0.2

* Fri Feb 01 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 393966
- New version 5.0.1 Final

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392357
- New version 5.0.1 rc1

* Fri Jan 25 2013 neoclust <neoclust> 5.0.0-1.mga3
+ Revision: 392295
- imported package qtmultimedia5

